ros-rolling-mola-bridge-ros2 (2.3.0-1noble) noble; urgency=high

  * Import all pcd fields from ros2 messages using CGenericPointsMap
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 14 Dec 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (2.2.1-1noble) noble; urgency=high

  * BridgeROS2: more debug traces in map publishing
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 07 Nov 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (2.2.0-1noble) noble; urgency=high

  * format
  * Fix build against upcoming mrpt v2.15.0
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 Oct 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (2.1.0-1noble) noble; urgency=high

  * Publish to ROS all map types implementing getAsSimplePointsMap()
  * format
  * FIX: ROS2 bridge must use timestamps for map updates to publish maps and deskewed clouds
  * Support publishing several maps from the same source per iteration to ROS
  * clang-format
  * Make use of ConstPtr across API
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 19 Oct 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (2.0.0-1noble) noble; urgency=high

  * fix clang-format
  * Modernize copyright notice
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 12 Oct 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.9.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 06 Jul 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.9.0-1noble) noble; urgency=high

  * fix clang-format
  * Implement publishing of optional "metadata" map field too
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 05 Jun 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.8.1-1noble) noble; urgency=high

  * Fix: Do not use the deprecated ament_target_dependencies()
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 May 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.8.0-1noble) noble; urgency=high

  * Update license tag to "BSD-3-Clause"
  * Update copyright year
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 24 May 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.7.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 05 May 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.6.4-1noble) noble; urgency=high

  * fix: Correctly handling Livox cloud timestamps ("double"s, but in nanoseconds) in BridgeROS2 and bag2 data sources. They are automatically detected, no need to change any parameter.
  * modernize clang-format
  * Merge pull request #82 <https://github.com/MOLAorg/mola/issues/82> from ahpinder/develop
    Add Support for Voxel Map ROS2 Publishing Via Point Map Conversion
  * fixed Clang formatting
  * Clean up voxel map publishing code
  * Added voxel map point cloud publishing
    Added code to timerPubMap to publish the occupied voxels of a mrpt::maps::CVoxelMap as a point cloud to ROS2, allowing for real-time ROS2 visualization of 2D map capture
  * Contributors: Jose Luis Blanco-Claraco, ahpinder

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 22 Apr 2025 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.6.3-1noble) noble; urgency=high

  * clang-tidy: const correctness
  * Service renamed: RelocalizeFromGNSS -> RelocalizeFromStateEstimator
  * FIX: Potential deadlock in initialization
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 14 Mar 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.6.2-1noble) noble; urgency=high

  * Implement publish Diagnostics per mola module & ROS2 publishers refactored (code clean up)
  * BridgeROS2: add source filter for forwarding localization updates to ROS2
  * ROS2: base_footprint_frame /tf is broadcasted now as base_link -> base_footprint to avoid /tf warnings (better as a child than as a second parent in the tf tree)
  * FIX: In parsing base_footprint_to_base_link_tf
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 21 Feb 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.6.1-1noble) noble; urgency=high

  * Add new option: publish_tf_from_slam; add better docs on the meaning of all parameters
  * Publish georef /tf as /tf_static
  * ROS2 bridge now publishes georeferenced map metadata as /tf's and as mrpt_nav_interfaces/GeoreferencingMetadata
  * Revert "Feature: all MOLA modules got its MRPT logger to ROS console for easier debugging"
    This reverts commit 8a84611d85022f37b80d8bdcb7acaa1910669fc1.
  * FIX: wrong variable in former commit
  * Merge pull request #75 <https://github.com/MOLAorg/mola/issues/75> from MOLAorg/feature/mrpt-to-ros-console
    Feature: all MOLA modules got its MRPT logger to ROS console for easier debugging
  * Feature: all MOLA modules got its MRPT logger to ROS console for easier debugging
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.6.0-1noble) noble; urgency=high

  * Publish gridmaps too
  * ros2 bridge: rep105 only for map->base_link tfs
  * BridgeROS2: support forwarding more than one localization message per timer call
  * Fix published /tf's: those from LocalizationSources now can explicitly define their parent and child frames
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.5.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Dec 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.5.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 25 Dec 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.4.1-1noble) noble; urgency=high

  * BridgeROS2: add option (now enabled by default) to publish /tfs following REP105 order
  * BUG FIX: Published odometry msg lacked target frame_id
  * Rename method for better reflecting its goal
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.4.0-1noble) noble; urgency=high

  * Publish localization quality topic
  * Forward --ros-args to BridgeROS2
  * expose services for runtime parameters
  * Load relocalize_from_topic from yaml file
  * ros2bridge: handle /initialpose topic -> relocalize service
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.3.0-1noble) noble; urgency=high

  * Support publishing IMU readings MOLA -> ROS2
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.2.1-1noble) noble; urgency=high

  * BUGFIX: Prevent potential race condition
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Sep 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.2.0-1noble) noble; urgency=high

  * sort <depend> entries
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.1.3-1noble) noble; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.1.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.1.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.1.0-1noble) noble; urgency=high

  * Merge pull request #65 <https://github.com/MOLAorg/mola/issues/65> from MOLAorg/add-more-srvs
    Add more Services
  * Offer ROS2 services for the new MOLA MapServer interface
  * clang-format: switch to 100 columns
  * ros2bridge: offer ROS2 services for relocalization
  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * change ament linters to apply in test builds
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.8-1noble) noble; urgency=high

  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.7-1noble) noble; urgency=high

  * Fix GNSS typo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.6-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.5-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.4-1noble) noble; urgency=high

  * bump cmake_minimum_required to 3.5
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.3-1noble) noble; urgency=high

  * BridgeROS2: more robust /tf find_transform by using tf2::BufferCore
  * FIXBUG: inverse sensor poses in rosbag2 reader.
    Also: unify notation in C++ calls to lookupTransform()
  * Fix package.xml website URL
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.2-1noble) noble; urgency=high

  * update docs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.1-1noble) noble; urgency=high

  * BridgeROS2: do not quit on temporary /tf timeout
  * mola_bridge_ros2: option to publish /tf_static for base_footprint
  * mola_bridge_ros2: implement missing MOLA->ROS2 conversion for GNSS observations
  * BUGFIX: Inverted value of "use_fixed_sensor_pose" was used
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (1.0.0-1noble) noble; urgency=high

  * Comply with ROS2 REP-2003
  * Merge ROS2 input and output in one module
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-rolling-mola-bridge-ros2 (0.2.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000


